var e = require("../../common/vendor.js"),
  n = require("../../hooks/onMounted.js"),
  t = require("../../hooks/onShareAppMessage.js"),
  r = require("../../service/index.js"),
  i = require("../../constant/index.js"),
  u = require("../../utils/util.js");
require("../../hooks/useState.js"),
  require("../../store/app/index.js"),
  require("../../enums/index.js"),
  require("../../data/index.js"),
  require("../../config/index.js"),
  require("../../utils/request.js"),
  Math || (e.unref(o) + e.unref(a) + e.unref(s))();
var a = function () {
    return "../../components/empty/index.js";
  },
  o = function () {
    return "../../components/divider/index.js";
  },
  s = function () {
    return "../../components/float-share/index.js";
  },
  v = {
    __name: "index",
    setup: function (a) {
      var o = e.ref(!0),
        s = e.ref(!1),
        v = e.ref({}),
        d = function () {
          e.index.setClipboardData({ data: v.value.vin }).then(function () {
            u.showToast("VIN车架号已复制");
          });
        };
      return (
        n.onMounted(function (n) {
          var t = n.order_no,
            a = n.product_id;
          u.showLoading("努力查询中"),
            r
              .getReportDetail({ order_no: t, product_id: a })
              .then(function (n) {
                var t = e._.find(i.vehicleTypeList, function (e) {
                  return e.value == n.type;
                });
                (n.type = t ? t.text : "-"),
                  (v.value = n),
                  (o.value = !1),
                  u.hideLoading();
              });
        }, !1),
        t.onShareAppMessage(),
        function (n, t) {
          return e.e(
            { a: !o.value },
            o.value
              ? {}
              : e.e(
                  { b: !s.value },
                  s.value
                    ? {}
                    : e.e(
                        { c: v.value.info },
                        v.value.info
                          ? {
                              d: e.t(v.value.vin),
                              e: e.o(d),
                              f: e.t(v.value.info || "-"),
                              g: e.t(v.value.create_time || "-"),
                            }
                          : {},
                        { h: !v.value.info },
                        v.value.info
                          ? {}
                          : {
                              i: e.t(v.value.name.trim() || "-"),
                              j: e.t(v.value.no.trim() || "-"),
                              k: e.t(v.value.start_time.trim() || "-"),
                              l: e.t(v.value.end_time.trim() || "-"),
                              m: e.t(v.value.insurance.trim() || "-"),
                              n: e.t(v.value.vin),
                              o: e.o(d),
                              p: e.t(v.value.engine_no.trim() || "-"),
                              q: e.t(v.value.area.trim() || "-"),
                              r: e.t(v.value.create_time || "-"),
                            },
                        { s: e.t(e.unref(i.disclaimer)) }
                      ),
                  { t: s.value },
                  s.value ? { v: e.p({ info: "抱歉~！没有查到数据哦" }) } : {}
                )
          );
        }
      );
    },
  },
  d = e._export_sfc(v, [["__scopeId", "data-v-1d1feea9"]]);
(v.__runtimeHooks = 2), wx.createPage(d);
